Skip to content
Developer

BillingPaymentProfile

Billing5 EndpointsBilling / BillingPaymentProfile

This method will get all BillingPaymentProfile Objects

GET/api/invoice/billing_payment_profile

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of BillingPaymentProfile objectsarray<BillingPaymentProfile>

Show fields (16)
  • idinteger

    Primary key of the payment profile. Internal ID.

  • payout_typestring

    Type of payout, for example SEPA direct debit or transfer.

  • auto_modeboolean

    Payments are created automatically.

  • is_defaultboolean

    Default payment profile.

  • is_event_defaultboolean

    Default payment profile for events.

  • is_donation_defaultboolean

    Default payment profile for donations.

  • execution_daystring

    Day of the month the payments are executed.

  • next_execution_datestring (date-time)

    Date of the next execution.

  • booking_daystring

    Day of the month the payments are booked.

  • next_booking_datestring (date-time)

    Date of the next booking.

  • billing_payout_accountBillingPayoutAccount3

    Payout account used for the payments.

    Show fields (5)
    • idinteger

      Primary key of the payout account. Internal ID.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

  • force_billing_due_date_to_next_booking_dateboolean

    Force the due date of the invoice to the next booking date.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/billing_payment_profile \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "payout_type": "string",
    "auto_mode": true,
    "is_default": true,
    "is_event_default": true,
    "is_donation_default": true,
    "execution_day": "string",
    "next_execution_date": "2026-10-15T09:30:00+02:00",
    "booking_day": "string"
  }
]

Add a new BillingPaymentProfile

POST/api/invoice/billing_payment_profile

Request body application/json

  • dataBillingPaymentProfile2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Add a new BillingPaymentProfileBillingPaymentProfile

Show fields (16)
  • idinteger

    Primary key of the payment profile. Internal ID.

  • payout_typestring

    Type of payout, for example SEPA direct debit or transfer.

  • auto_modeboolean

    Payments are created automatically.

  • is_defaultboolean

    Default payment profile.

  • is_event_defaultboolean

    Default payment profile for events.

  • is_donation_defaultboolean

    Default payment profile for donations.

  • execution_daystring

    Day of the month the payments are executed.

  • next_execution_datestring (date-time)

    Date of the next execution.

  • booking_daystring

    Day of the month the payments are booked.

  • next_booking_datestring (date-time)

    Date of the next booking.

  • billing_payout_accountBillingPayoutAccount3

    Payout account used for the payments.

    Show fields (5)
    • idinteger

      Primary key of the payout account. Internal ID.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

  • force_billing_due_date_to_next_booking_dateboolean

    Force the due date of the invoice to the next booking date.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/invoice/billing_payment_profile \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "payout_type": "string",
  "auto_mode": true,
  "is_default": true,
  "is_event_default": true,
  "is_donation_default": true,
  "execution_day": "string",
  "next_execution_date": "2026-10-15T09:30:00+02:00",
  "booking_day": "string"
}

This method will get a single BillingPaymentProfile with the given id

GET/api/invoice/billing_payment_profile/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single BillingPaymentProfileBillingPaymentProfile

Show fields (16)
  • idinteger

    Primary key of the payment profile. Internal ID.

  • payout_typestring

    Type of payout, for example SEPA direct debit or transfer.

  • auto_modeboolean

    Payments are created automatically.

  • is_defaultboolean

    Default payment profile.

  • is_event_defaultboolean

    Default payment profile for events.

  • is_donation_defaultboolean

    Default payment profile for donations.

  • execution_daystring

    Day of the month the payments are executed.

  • next_execution_datestring (date-time)

    Date of the next execution.

  • booking_daystring

    Day of the month the payments are booked.

  • next_booking_datestring (date-time)

    Date of the next booking.

  • billing_payout_accountBillingPayoutAccount3

    Payout account used for the payments.

    Show fields (5)
    • idinteger

      Primary key of the payout account. Internal ID.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

  • force_billing_due_date_to_next_booking_dateboolean

    Force the due date of the invoice to the next booking date.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/billing_payment_profile/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "payout_type": "string",
  "auto_mode": true,
  "is_default": true,
  "is_event_default": true,
  "is_donation_default": true,
  "execution_day": "string",
  "next_execution_date": "2026-10-15T09:30:00+02:00",
  "booking_day": "string"
}

Update a BillingPaymentProfile

PUT/api/invoice/billing_payment_profile/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataBillingPaymentProfile2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a BillingPaymentProfileBillingPaymentProfile

Show fields (16)
  • idinteger

    Primary key of the payment profile. Internal ID.

  • payout_typestring

    Type of payout, for example SEPA direct debit or transfer.

  • auto_modeboolean

    Payments are created automatically.

  • is_defaultboolean

    Default payment profile.

  • is_event_defaultboolean

    Default payment profile for events.

  • is_donation_defaultboolean

    Default payment profile for donations.

  • execution_daystring

    Day of the month the payments are executed.

  • next_execution_datestring (date-time)

    Date of the next execution.

  • booking_daystring

    Day of the month the payments are booked.

  • next_booking_datestring (date-time)

    Date of the next booking.

  • billing_payout_accountBillingPayoutAccount3

    Payout account used for the payments.

    Show fields (5)
    • idinteger

      Primary key of the payout account. Internal ID.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

  • force_billing_due_date_to_next_booking_dateboolean

    Force the due date of the invoice to the next booking date.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/invoice/billing_payment_profile/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "payout_type": "string",
  "auto_mode": true,
  "is_default": true,
  "is_event_default": true,
  "is_donation_default": true,
  "execution_day": "string",
  "next_execution_date": "2026-10-15T09:30:00+02:00",
  "booking_day": "string"
}

Update a BillingPaymentProfile

PATCH/api/invoice/billing_payment_profile/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataBillingPaymentProfile2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a BillingPaymentProfileBillingPaymentProfile

Show fields (16)
  • idinteger

    Primary key of the payment profile. Internal ID.

  • payout_typestring

    Type of payout, for example SEPA direct debit or transfer.

  • auto_modeboolean

    Payments are created automatically.

  • is_defaultboolean

    Default payment profile.

  • is_event_defaultboolean

    Default payment profile for events.

  • is_donation_defaultboolean

    Default payment profile for donations.

  • execution_daystring

    Day of the month the payments are executed.

  • next_execution_datestring (date-time)

    Date of the next execution.

  • booking_daystring

    Day of the month the payments are booked.

  • next_booking_datestring (date-time)

    Date of the next booking.

  • billing_payout_accountBillingPayoutAccount3

    Payout account used for the payments.

    Show fields (5)
    • idinteger

      Primary key of the payout account. Internal ID.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

  • force_billing_due_date_to_next_booking_dateboolean

    Force the due date of the invoice to the next booking date.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/invoice/billing_payment_profile/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "payout_type": "string",
  "auto_mode": true,
  "is_default": true,
  "is_event_default": true,
  "is_donation_default": true,
  "execution_day": "string",
  "next_execution_date": "2026-10-15T09:30:00+02:00",
  "booking_day": "string"
}